{% extends 'base.html.twig' %}

{% block title %}Log in!{% endblock %}

{% block body %}
<ul class="nav bg-dark">
  <li class="nav-item">
    <a class="btn btn-dark" aria-current="page" href="#">Home</a>
  </li>
  <li class="nav-item">
    <a class="btn btn-dark" href="/register">Login</a>
  </li>
</ul>
<form method="post">
    {% if error %}
        <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
    {% endif %}

    {% if app.user %}
        <div class="mb-3">
            You are logged in as {{ app.user.username }}, <a href="{{ path('app_logout') }}">Logout</a>
        </div>
    {% endif %}

<div class="mx-auto" style="width: 200px; margin-top:5em;">
    <h1 class="h3 mb-3 font-weight-normal">Login</h1>
    <label for="inputLastName">Name</label>
    <input type="text" value="{{ last_username }}" name="lastName" id="inputLastName" class="form-control" autocomplete="username" required autofocus>
    <label for="inputPassword">Password</label>
    <input type="password" name="password" id="inputPassword" class="form-control" autocomplete="current-password" required>

    <input type="hidden" name="_csrf_token"
           value="{{ csrf_token('authenticate') }}"
    >

    {#
        Uncomment this section and add a remember_me option below your firewall to activate remember me functionality.
        See https://symfony.com/doc/current/security/remember_me.html

        <div class="checkbox mb-3">
            <label>
                <input type="checkbox" name="_remember_me"> Remember me
            </label>
        </div>
    #}

    <button class="btn btn-dark" type="submit">
        Save
    </button>
    </div>
</form>

{% endblock %}
